Skip to main content
GET
/
search
Search fixtures by team name
curl --request GET \
  --url https://api.sx.bet/search
{
  "status": "success",
  "data": [
    {
      "gameTime": "2026-04-28T02:10:00.000Z",
      "teamOneName": "Los Angeles Dodgers",
      "teamTwoName": "Miami Marlins",
      "providerEventId": "17495682",
      "provider": "LSPORT",
      "type": [
        28,
        226,
        236,
        342,
        1618
      ],
      "eventId": "L17495682",
      "chainVersion": "SXR",
      "league": {
        "leagueId": 171,
        "sportId": 3,
        "label": "MLB"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.sx.bet/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

query
string
required

A team name or partial team name. Must be between 3 and 100 characters.

Required string length: 3 - 100

Response

status
string

success or failure if the request succeeded or not

data
object[]
Last modified on May 4, 2026